URIReferenceException (Java SE 12 & JDK 12 )
Keywords: javax.xml.crypto.URIReferenceException class

Module java.xml.crypto
Package javax.xml.crypto

## Class URIReferenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.crypto.URIReferenceException

- All Implemented Interfaces:
    `Serializable`

      public class URIReferenceException
      extends Exception

  Indicates an exceptional condition thrown while dereferencing a `URIReference`.

  A `URIReferenceException` can contain a cause: another throwable that caused this `URIReferenceException` to get thrown.

  Since:
    1.6
  See Also:
    `URIDereferencer.dereference(URIReference, XMLCryptoContext)`, `RetrievalMethod.dereference(XMLCryptoContext)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URIReferenceException()` | Constructs a new `URIReferenceException` with `null` as its detail message.
    `URIReferenceException​(String message)` | Constructs a new `URIReferenceException` with the specified detail message.
    `URIReferenceException​(String message, Throwable cause)` | Constructs a new `URIReferenceException` with the specified detail message and cause.
    `URIReferenceException​(String message, Throwable cause, URIReference uriReference)` | Constructs a new `URIReferenceException` with the specified detail message, cause and `URIReference`.
    `URIReferenceException​(Throwable cause)` | Constructs a new `URIReferenceException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause()` | Returns the cause of this `URIReferenceException` or `null` if the cause is nonexistent or unknown.
    `URIReference` | `getURIReference()` | Returns the `URIReference` that was being dereferenced when the exception was thrown.
    `void` | `printStackTrace()` | Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the standard error stream.
    `void` | `printStackTrace​(PrintStream s)` | Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the specified print stream.
    `void` | `printStackTrace​(PrintWriter s)` | Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the specified print writer.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URIReferenceException

          public URIReferenceException()

      Constructs a new `URIReferenceException` with `null` as its detail message.

    - #### URIReferenceException

          public URIReferenceException​(String message)

      Constructs a new `URIReferenceException` with the specified detail message.
      Parameters:
        `message` - the detail message

    - #### URIReferenceException

          public URIReferenceException​(String message,
                                       Throwable cause)

      Constructs a new `URIReferenceException` with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### URIReferenceException

          public URIReferenceException​(String message,
                                       Throwable cause,
                                       URIReference uriReference)

      Constructs a new `URIReferenceException` with the specified detail message, cause and `URIReference`.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
        `uriReference` - the `URIReference` that was being dereferenced when the error was encountered
      Throws:
        `NullPointerException` - if `uriReference` is `null`

    - #### URIReferenceException

          public URIReferenceException​(Throwable cause)

      Constructs a new `URIReferenceException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### Method Detail

    - #### getURIReference

          public URIReference getURIReference()

      Returns the `URIReference` that was being dereferenced when the exception was thrown.
      Returns:
        the `URIReference` that was being dereferenced when the exception was thrown, or `null` if not specified

    - #### getCause

          public Throwable getCause()

      Returns the cause of this `URIReferenceException` or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this `URIReferenceException` to get thrown.)
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this `URIReferenceException` or `null` if the cause is nonexistent or unknown.

    - #### printStackTrace

          public void printStackTrace()

      Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the standard error stream.
      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace​(PrintStream s)

      Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the specified print stream.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - `PrintStream` to use for output

    - #### printStackTrace

          public void printStackTrace​(PrintWriter s)

      Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the specified print writer.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - `PrintWriter` to use for output